#[derive(Debug)]
pub struct Card {
    pub suit: Suit,
    pub value: u8,
}

#[derive(Debug, Clone, Copy)]
pub enum Suit {
    Hearts,
    Diamonds,
    Clubs,
    Spades,
}

impl Card {
    pub fn new(suit: Suit, value: u8) -> Card {
        Card {
            suit,
            value,
        }
    }
}
